<?php

// Tabla reserva_caracteristicas
// Guardo características para la visita seleccionadas si las hay
if ($opciones_seleccionadas != '') {

    // Compruebo id de reserva
    $sql_reserva = "SELECT id
					FROM reservas
					WHERE localizador = '" . $localizador . "'";

    $result_reserva = $conexion->query($sql_reserva);

    if ($result_reserva->rowCount() > 0) {
        $row_reserva = $result_reserva->fetch();
        $reserva_id  = $row_reserva['id'];
    }

    // Elimino primero si hay relaciones por si ha vuelto al primer paso
    // del carrito
    $sql_delete_opciones    = "DELETE FROM reserva_caracteristicas WHERE reserva_id = " . $reserva_id;
    $result_delete_opciones = $conexion->query($sql_delete_opciones);

    /*** REGISTRO LOGS  ****/
    $sentencia = "LOCALIZADOR - " . $localizador . " Eliminadas opciones de caracteristicas para la reserva " . $reserva_id;
    Insertar_Sentencia($sentencia, 'compra');

    foreach ($opciones_seleccionadas as $opcion) {

        // Compruebo característica a la que pertenece
        $sql_caracteristica = "SELECT caracteristica_id
							   FROM caracteristicas_opciones
							   WHERE id = " . $opcion;

        $result_caracteristica = $conexion->query($sql_caracteristica);

        if ($result_caracteristica->rowCount() > 0) {
            $row_caracteristica = $result_caracteristica->fetch();
            $caracteristica_id  = $row_caracteristica['caracteristica_id'];
        }

        // Tabla reservas (estado "nuevo")
        $sql_reserva_caracteristicas = "INSERT INTO reserva_caracteristicas(reserva_id, caracteristica_id, caracteristica_opcion_id)
										VALUES(:reserva_id, :caracteristica_id, :caracteristica_opcion_id)";

        $result_reserva_caracteristicas = $conexion->prepare($sql_reserva_caracteristicas);
        $exito_caracterisiticas         = $result_reserva_caracteristicas->execute(array(
            ':reserva_id'               => $reserva_id,
            ':caracteristica_id'        => $caracteristica_id,
            ':caracteristica_opcion_id' => $opcion,

        ));

        /*** REGISTRO LOGS  ****/
        $sentencia = "LOCALIZADOR - " . $localizador . " Insertadas opcion de característica para la reserva " . $opcion;
        Insertar_Sentencia($sentencia, 'compra');
    }
}